| LicenseSpring Management .Net SDK 1.16.0 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
LicenseSpring.ManagementConfiguration Class Reference

Configuration of the SDK. More...

Inheritance diagram for LicenseSpring.ManagementConfiguration:

## Public Member Functions
| ManagementConfiguration ()
| LicenseSpringConfiguration default constructor, creates invalid configuration with empty Shared and API keys.
| ManagementConfiguration (string managementKey, ManagementExtendedOptions extendedOptions=null)

## Properties
string | ApiKey`[get, set]`
| Management key acquired from LicenseSpring.
ManagementExtendedOptions | ExtendedOptions`[get, set]`
| Extended options of the configuration.Attention: changing some fields of the extended options indirectly won't take effect. For example `config.ExtendedOptions().LicenseFilePath() = "..."` will not work.
bool | IsLoggingEnabled`[get, protected set]`
| Whether SDK should log licensing activity to file.
uint | LicenseSpringAPIVersion`[get]`
| LicenseSpring API version.Note this is the API version that SDK uses.
string | LogFilePath`[get]`
| Path to log file.
int | NetworkTimeout`[get, set]`
ProxySettings | Proxy`[get, set]`
| {
string | SdkVersion`[get]`
| LicenseSpring SDK version.
Properties inherited from LicenseSpring.IManagementConfiguration

## Detailed Description

Configuration of the SDK.

## Property Documentation

## ◆ ApiKey

string LicenseSpring.ManagementConfiguration.ApiKey
| get set

Management key acquired from LicenseSpring.

Implements LicenseSpring.IManagementConfiguration.

## ◆ ExtendedOptions

ManagementExtendedOptions LicenseSpring.ManagementConfiguration.ExtendedOptions
| get set

Extended options of the configuration.Attention: changing some fields of the extended options indirectly won't take effect. For example `config.ExtendedOptions().LicenseFilePath() = "..."` will not work.

Implements LicenseSpring.IManagementConfiguration.

## ◆ IsLoggingEnabled

bool LicenseSpring.ManagementConfiguration.IsLoggingEnabled
| get protected set

Whether SDK should log licensing activity to file.

Implements LicenseSpring.IManagementConfiguration.

## ◆ LicenseSpringAPIVersion

uint LicenseSpring.ManagementConfiguration.LicenseSpringAPIVersion
| get

LicenseSpring API version.Note this is the API version that SDK uses.

Implements LicenseSpring.IManagementConfiguration.

## ◆ LogFilePath

string LicenseSpring.ManagementConfiguration.LogFilePath
| get

Path to log file.

Implements LicenseSpring.IManagementConfiguration.

## ◆ SdkVersion

string LicenseSpring.ManagementConfiguration.SdkVersion
| get

LicenseSpring SDK version.

Implements LicenseSpring.IManagementConfiguration.

The documentation for this class was generated from the following file:

- ManagementConfiguration.cs